# $Id: alterator-timezone.spec,v 1.18 2006/04/28 09:47:36 zerg Exp $

%define module timezone
%define alterator_datadir %_datadir/alterator

Name: 	alterator-%module
Version: 0.5.0
Release: alt2

Group: System/Configuration/Other
Summary: Alterator module for setting up timezone
License: GPL

BuildArch: noarch

Requires: alterator >= 2.9-alt0.22
Requires: alterator-backend-%module = %version-%release
#Requires: alterator-packages
Requires: glibc-timezones

BuildPreReq: alterator >= 2.9-alt0.10, alterator-standalone >= 2.5-alt0.3

Source: %name-%version.tar

# Automatically added by buildreq on Thu Jan 11 2007
BuildRequires: alterator-standalone

%description
Alterator module for setting up timezone

%package -n alterator-backend-%module
Summary: Alterator backend for setting up timezone
License: GPL
Group: System/Configuration/Other
Requires: alterator-common

%description -n alterator-backend-%module
Alterator backend for setting up timezone


%prep
%setup -q

%build
%make_build libdir=%_libdir

%install
%makeinstall DESTDIR=%buildroot

# icons
%__mkdir_p %buildroot/{%_miconsdir,%_niconsdir,%_liconsdir}
%__install -m 0644 chasi_16.png %buildroot/%_miconsdir/alterator-%module.png
%__install -m 0644 chasi_32.png %buildroot/%_niconsdir/alterator-%module.png
%__install -m 0644 chasi_48.png %buildroot/%_liconsdir/alterator-%module.png

%find_lang %name

%post
%update_menus
%postun
%clean_menus


%files -f %name.lang
%config %_sysconfdir/alterator/profile.d/*
%_bindir/*
%alterator_datadir/*/*
%_desktopdir/*
%_liconsdir/alterator-%module.*
%_niconsdir/alterator-%module.*
%_miconsdir/alterator-%module.*

%files -n alterator-backend-%module
%_alterator_backend3dir/*

%changelog
* Thu Mar 01 2007 Sergey V Turchin <zerg at altlinux dot org> 0.5.0-alt2
- small translation fix

* Thu Mar 01 2007 Sergey V Turchin <zerg at altlinux dot org> 0.5.0-alt1
- moved to backend3
- redesign UI
- remove ntp functionality

* Mon Feb 12 2007 Sergey V Turchin <zerg at altlinux dot org> 0.4.3-alt3
- fix UTC checkbox initial state

* Fri Jan 12 2007 Sergey V Turchin <zerg at altlinux dot org> 0.4.3-alt2
- fix icons paths macroses in specfile

* Thu Jan 11 2007 Stanislav Ievlev <inger@altlinux.org> 0.4.3-alt1
- update build system

* Wed Dec 20 2006 Sergey V Turchin <zerg at altlinux dot org> 0.4.2-alt1
- update code to new alterator

* Fri Dec 01 2006 Sergey V Turchin <zerg at altlinux dot org> 0.4.1-alt1
- update code to new alterator

* Fri Jun 09 2006 Sergey V Turchin <zerg at altlinux dot org> 0.4.0-alt1
- update code to new alterator

* Fri Apr 28 2006 Sergey V Turchin <zerg at altlinux dot org> 0.3.2-alt1
- update code to new alterator

* Sun Feb 26 2006 Sergey V Turchin <zerg at altlinux dot org> 0.3.1-alt2
- add profile
- backend install path

* Mon Feb 20 2006 Sergey V Turchin <zerg at altlinux dot org> 0.3.1-alt1
- don't use woo-cache-reset

* Wed Feb 08 2006 Sergey V Turchin <zerg at altlinux dot org> 0.3.0-alt1
- update code for new alterator

* Wed Oct 19 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.10-alt3
- add custom icons

* Tue Oct 11 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.10-alt2
- fix path to acc icon

* Mon Oct 10 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.10-alt1
- add acc icon
- apply with splash
- fix get server name

* Fri Oct 07 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.9-alt2
- fix to get only one server line from ntp.conf

* Tue Sep 20 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.9-alt1
- use tabbox
- small bugfix

* Wed Aug 31 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.8-alt1
- add splash during test

* Mon Aug 01 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt5
- add Belarussian translation

* Fri Jul 15 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt4
- add help to package
- rename alterator-timezone to config-timezone

* Fri Jul 08 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt3
- fix detect ntp is on
- fix widgets size

* Thu Jul 07 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt2
- fix detect ntp is on; remove requires to ntpdate

* Thu Jul 07 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.7-alt1
- fix setup ntpd
- add menufile, standalone starting

* Thu Jul 07 2005 Stanislav Ievlev <inger@altlinux.org> 0.2.6-alt1.1
- adopted to new map
- added missing translations

* Wed Jul 06 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.6-alt1
- add test for NTP server
- update Russian translation

* Tue Jul 05 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.5-alt1
- fix check after packages install
- improve UI

* Mon Jul 04 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.4-alt1
- fix requires
- fix to new alterator-packages

* Fri Jun 17 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.3-alt1
- update for new alterator

* Tue Jun 07 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.2-alt1
- add package installation button

* Tue Jun 07 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2.1-alt1
- update .map with new features

* Mon May 30 2005 Sergey V Turchin <zerg at altlinux dot org> 0.2-alt1
- add ntp settings

* Mon Apr 25 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt5
- improved files layout

* Thu Apr 21 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt4
- changed backend format

* Fri Apr 01 2005 Anton Farygin <rider@altlinux.ru> 0.1-alt3
- added requires to glibc-timezones

* Tue Mar 29 2005 Stanislav Ievlev <inger@altlinux.org> 0.1-alt2
- improvements and little bugfixes

* Wed Mar 16 2005 Anton Farygin <rider@altlinux.ru> 0.1-alt1
- first build for Sisyphus

